\newpage

\subsection{Service 11: Time-Based Scheduling}

\begin{description}
	\item[Objective]\hfill\\
	
	TCs get scheduled through this service. This scheduling is based on the functionality to release TCs at their due time.\\
	All scheduled activities, consisting of their due time and the TC, are pre-planned in a schedule. It is possible to globally enable and disable this schedule. A TC will only get released if the scheduled activity is enabled. \\
	\newline
	This service provides two possibilities to identify requests in the schedule. Firstly the identification by a request identifier, secondly the identification by a filter which uses a 8 bit identification type field. \textbf{Only the last two bits of this field are used to identify the type. The first six bits are used as a filler. Their values are only zeros.}\\
	Any other values than the defined ones will lead to a 'Invalid Field Value' which causes the generation of a TM(1,4).\\
	\item[Service Summary]\hfill\\
	
	\begin{table}[h]
		\centering
		\begin{tabular}{p{0.1\textwidth}p{0.2\textwidth}p{0.6\textwidth}}
			\toprule
			\textbf{TM/TC} & \textbf{Service-Type, Service Subtype} & \textbf{Description}\\
			\midrule
			\rowcolor{TcHeader!20}TC & 11,1 & Enable the time-based schedule execution function\\
			\rowcolor{TcHeader!20}TC & 11,2 & Disable the time-based schedule execution function\\
			\rowcolor{TcHeader!20}TC & 11,3 & Reset the time-based schedule\\
			\rowcolor{TcHeader!20}TC & 11,4 & Insert activities into the time-based schedule\\
			\rowcolor{TcHeader!20}TC & 11,5 & Delete time-based scheduled activities identified by request identifier\\
			\rowcolor{TcHeader!20}TC & 11,6 & Delete time-based scheduled activities identified by filter\\
			\rowcolor{TcHeader!20}TC & 11,7 & Time-shift scheduled activities identified by request identifier\\
			\rowcolor{TcHeader!20}TC & 11,8 & Time-shift scheduled activities identified by filter\\
			\rowcolor{TcHeader!20}TC & 11,9 & Detail-report time-based scheduled activities identified by request identifier\\
			\rowcolor{TmHeader!20}TM & 11,10 & Time-based schedule detail report\\
			\rowcolor{TcHeader!20}TC & 11,11 & Detail-report time-based scheduled activities identified by filter\\
			\rowcolor{TcHeader!20}TC & 11,12 & Summary-report time-based scheduled activities identified by request identifier\\
			\rowcolor{TmHeader!20}TM & 11,13 & Time-based schedule summary report\\
			\rowcolor{TcHeader!20}TC & 11,14 & Summary-report time-based scheduled activities identified by filter\\
			\rowcolor{TcHeader!20}TC & 11,15 & Time-shift all scheduled activities\\
			\rowcolor{TcHeader!20}TC & 11,16 & Detail-report all time-based scheduled activities\\
			\rowcolor{TcHeader!20}TC & 11,17 & Summary-report all time-based scheduled activities\\
			\bottomrule
		\end{tabular}
		\caption{Service 11 Summary}
	\end{table}
	
\end{description}


% ------------------------------------------------------------------------------
% TC 11,1
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{11,1} & \textbf{Enable the time-based schedule execution function}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This request globally enables the scheduling. The time-based scheduled TCs can only get released if the scheduling is globally enabled.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 11 \\
		
		Service Subtype & 1 \\
		&\\
		Application Data & The application data field shall be omitted.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Parameter Definitions:]\hfill\\
	\newline
	This TC does not include any parameters.
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 11,2
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{11,2} & \textbf{Disable the time-based schedule execution\newline function}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This request disables the scheduling globally. The release of time-based scheduled TCs is no longer possible.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 11 \\
		
		Service Subtype & 2 \\
		&\\
		Application Data & The application data field shall be omitted.\\
	\end{longtable}
	\addtocounter{table}{-1}
	\item[Parameter Definitions:]\hfill\\
	\newline
	This TC does not include any parameters.
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 11,3
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{11,3} & \textbf{Reset the time-based schedule}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This request clears the complete time-based scheduling plan by deleting all scheduled activities.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 11 \\
		
		Service Subtype & 3 \\
		&\\
		Application Data & The application data field shall be omitted.\\
	\end{longtable}
	\addtocounter{table}{-1}
	\item[Parameter Definitions:]\hfill\\
	\newline
	This TC does not include any parameters.
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 11,4
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{11,4} & \textbf{Insert activities into the time-based schedule}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This Request inserts a variable number of TCs into the time-based schedule. 
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 11 \\
		
		Service Subtype & 4 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.23\textwidth}|p{0.23\textwidth}|p{0.23\textwidth}|}
			\hline
			\rowcolor{TcHeader}
			N & Release Time & Request\\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned Integer & Absolute Time & TC packet\\
			\hline
			\rowcolor{TcBody}
			8 Bit & 64 Bit & $n\cdot8$ Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{2}{|c|}{$\leftarrow$ Repeated N times $\rightarrow$} 
		\end{tabular}\\\vspace{10pt}
		Application Data TC(11,4)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of following requests to insert into the schedule. The maximum value is 9.\\
		& \\
		\textbf{Release Time}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=9 &PFC=2 \end{tabular} & The moment of planned release.\\
		& \\
		\textbf{Request}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=12 &PFC=1 \end{tabular} & The request which should be released at the \textit{Release Time}. The size of this field is $n\cdot8\  Bit$. The maximum size of the complete request (including header and checksum) is 232 Byte.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Remarks:]\hfill\\
	\newline
	If the release time is earlier than the time obtained by adding the current time and the time margin the application data field becomes invalid.\\
	\newline
	If the request contained in the instruction fails any of the verification checks (Service 1) the application data field becomes invalid.
	
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 11,5
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{11,5} & \textbf{Delete time-based scheduled activities identified by request identifier}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This request deletes all addressed time-based scheduled TCs.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 11 \\
		
		Service Subtype & 5 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.175\textwidth}|p{0.175\textwidth}|p{0.175\textwidth}|p{0.175\textwidth}|}
			\hline
			\cellcolor{TcHeader} & \multicolumn{3}{c|}{\cellcolor{TcHeader} Request ID}\\
			\hhline{|>{\arrayrulecolor{TcHeader!85}}->{\arrayrulecolor{black}}|---|}
			\rowcolor{TcHeader}
			\multirow{-2}{*}{\cellcolor{TcHeader} N} & Source ID & APID & Sequence Count\\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned\newline Integer & Enum & Enum & Unsigned\newline Integer \\
			\hline
			\rowcolor{TcBody}
			8 Bit & 7 Bit & 11 Bit & 14 Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{3}{|c|}{$\leftarrow$ Repeated N times $\rightarrow$} 
		\end{tabular}\\\vspace{10pt}
		Application Data TC(11,5)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of following requests to delete from the schedule. The maximum value is 54.\\
		& \\
		\textbf{Request ID}\newline\begin{tabular}{p{1cm}p{1.2cm}p{1cm}} Source:& PTC=2& PFC=7 \\ APID:& PTC=2& PFC=11 \\ Count: &PTC=3 &PFC=10 \end{tabular} & The identifier of a request to delete. The ID contains the Source ID, the APID and the \textit{Sequence Count} of the request.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 11,6
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{11,6} & \textbf{Delete time-based scheduled activities identified by filter}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This request deletes all addressed time-based scheduled TCs.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 11 \\
		
		Service Subtype & 6 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.23\textwidth}|p{0.23\textwidth}|p{0.23\textwidth}|}
			\hline
			\multicolumn{3}{|c|}{\cellcolor{TcHeader} Time Window}\\
			\hline
			\rowcolor{TcHeader}
			Type & Time Tag 1 & Time Tag 2\\
			\hline
			\hline
			\rowcolor{TcBody}
			Enum & Absolute Time & Absolute Time \\
			\hline
			\rowcolor{TcBody}
			8 Bit & 64 Bit & 64 Bit\\
			\hline
		\end{tabular}\\\vspace{10pt}
		Application Data TC(11,6)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Type}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The type can have following values:\newline00 - "select all"\newline11 - "from time tag to time tag"\newline01 - "from time tag"\newline10 - "to time tag"\\
		& \\
		\textbf{Time Tag 1}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=9 &PFC=2 \end{tabular} & The first time tag. This is the one from which the selection starts.\\
		& \\
		\textbf{Time Tag 2}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=9 &PFC=2 \end{tabular} & The second time tag. This is the one at which the selection stops.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Remarks:]\hfill\\
	\newline
	If the first time tag is greater than the second time tag the application data field becomes invalid.
	
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 11,7
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{11,7} & \textbf{Time-shift scheduled activities identified by\newline request identifier}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This request postpones all addressed time-based scheduled TCs for a specified time.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 11 \\
		
		Service Subtype & 7 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.14\textwidth}|p{0.14\textwidth}|p{0.14\textwidth}|p{0.14\textwidth}|p{0.14\textwidth}|}
			\hline
			\cellcolor{TcHeader} & \cellcolor{TcHeader} & \multicolumn{3}{c|}{\cellcolor{TcHeader} Request ID}\\
			\hhline{|>{\arrayrulecolor{TcHeader}}->{\arrayrulecolor{black}}|>{\arrayrulecolor{TcHeader}}->{\arrayrulecolor{black}}|---|}
			\rowcolor{TcHeader}
			\multirow{-2}{*}{\cellcolor{TcHeader} Time Offset} & \multirow{-2}{*}{\cellcolor{TcHeader} N} & Source ID & APID & Sequence Count\\
			\hline
			\hline
			\rowcolor{TcBody}
			Relative Time & Unsigned\newline Integer & Enum & Enum & Unsigned\newline Integer \\
			\hline
			\rowcolor{TcBody}
			64 Bit & 8 Bit & 7 Bit& 11 Bit& 14 Bit\\
			\hline
			\multicolumn{2}{c}{} & \multicolumn{3}{|c|}{$\leftarrow$ Repeated N times $\rightarrow$} 
		\end{tabular}\\\vspace{10pt}
		Application Data TC(11,7)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Time Offset}\newline \begin{tabular}{p{1.2cm}p{0.9cm}} PTC=10 &PFC=2 \end{tabular} & The time to postpone.\\
		& \\
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of following requests to postpone. The maximum value is 52.\\
		& \\
		\textbf{Request ID}\newline \begin{tabular}{p{1cm}p{1.2cm}p{1cm}} Source:& PTC=2& PFC=7 \\ APID:& PTC=2& PFC=11 \\ Count: &PTC=3 &PFC=10 \end{tabular}  & The identifier of a request to postpone. The ID contains the Source ID, the APID and the \textit{Sequence Count} of the request.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Remarks:]\hfill\\
	\newline
	If the time obtained by adding the release time of earliest addressed scheduled activity and the time offset is earlier than the time obtained by adding the current time and the time margin the application data field becomes invalid.
	
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 11,8
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{11,8} & \textbf{Time-shift scheduled activities identified by filter}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This request postpones all addressed time-based scheduled TCs for a specified time.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 11 \\
		
		Service Subtype & 8 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.175\textwidth}|p{0.175\textwidth}|p{0.175\textwidth}|p{0.175\textwidth}|}
			\hline
			\cellcolor{TcHeader} & \multicolumn{3}{c|}{\cellcolor{TcHeader} Time Window}\\
			\hhline{|>{\arrayrulecolor{TcHeader!85}}->{\arrayrulecolor{black}}|---|}
			\rowcolor{TcHeader}
			\multirow{-2}{*}{\cellcolor{TcHeader} Time Offset} & Type & Time Tag 1 & Time Tag 2\\
			\hline
			\hline
			\rowcolor{TcBody}
			Relative Time & Enum & Absolute Time & Absolute Time \\
			\hline
			\rowcolor{TcBody}
			64 Bit & 8 Bit & 64 Bit & 64 Bit\\
			\hline 
		\end{tabular}\\\vspace{10pt}
		Application Data TC(11,8)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Time Offset}\newline \begin{tabular}{p{1.1cm}p{0.9cm}} PTC=10 &PFC=2 \end{tabular} & The time to postpone.\\
		& \\
		\textbf{Type}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The type can have following values:\newline00 - "select all"\newline11 - "from time tag to time tag"\newline01 - "from time tag"\newline10 - "to time tag"\\
		& \\
		\textbf{Time Tag 1}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=9 &PFC=2 \end{tabular} & The first time tag. This is the one from which the selection starts.\\
		& \\
		\textbf{Time Tag 2}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=9 &PFC=2 \end{tabular} & The second time tag. This is the one at which the selection stops.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Remarks:]\hfill\\
	\newline
	If the time obtained by adding the release time of earliest addressed scheduled activity and the time offset is earlier than the time obtained by adding the current time and the time margin the application data field becomes invalid.\\
	\newline
	If the first time tag is greater than the second time tag the application data field becomes invalid.
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 11,9
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{11,9} & \textbf{Detail-report time-based scheduled activities identified by request identifier}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC requests a detail report for all addressed time-based scheduled TCs. The answer for this request is TM(11,10).
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 11 \\
		
		Service Subtype & 9 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.175\textwidth}|p{0.175\textwidth}|p{0.175\textwidth}|p{0.175\textwidth}|}
			\hline
			\cellcolor{TcHeader} & \multicolumn{3}{c|}{\cellcolor{TcHeader} Request ID}\\
			\hhline{|>{\arrayrulecolor{TcHeader!85}}->{\arrayrulecolor{black}}|---|}
			\rowcolor{TcHeader}
			\multirow{-2}{*}{\cellcolor{TcHeader} N} & Source ID & APID & Sequence Count\\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned\newline Integer & Enum & Enum & Unsigned\newline Integer \\
			\hline
			\rowcolor{TcBody}
			8 Bit & 7 Bit& 11 Bit& 14 Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{3}{|c|}{$\leftarrow$ Repeated N times $\rightarrow$} 
		\end{tabular}\\\vspace{10pt}
		Application Data TC(11,9)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of following requests to report about. The maximum value is 54.\\
		& \\
		\textbf{Request ID}\newline \begin{tabular}{p{1cm}p{1.2cm}p{1cm}} Source:& PTC=2& PFC=7 \\ APID:& PTC=2& PFC=11 \\ Count: &PTC=3 &PFC=10 \end{tabular}  & The identifier of a request to report about. The ID contains the Source ID, the APID and the \textit{Sequence Count} of the request.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TM 11,10
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TM} & \textbf{11,10} & \textbf{Time-based schedule detail report}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TM reports the complete data of the requested time-based scheduled activities, i.e. the complete pre-planned TCs gets reported. The generation of this TM is initiated by receiving TC(11,9), TC(11,11) or TC(11,16).
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 11 \\
		
		Service Subtype & 10 \\
		&\\
		Source Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.23\textwidth}|p{0.23\textwidth}|p{0.23\textwidth}|}
			\hline
			\rowcolor{TmHeader!85}
			N & Release Time & Request\\
			\hline
			\hline
			\rowcolor{TmBody}
			Unsigned Integer & Absolute Time & TC Packet \\
			\hline
			\rowcolor{TmBody}
			8 Bit & 64 Bit & $n\cdot8$ Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{2}{|c|}{$\leftarrow$ Repeated N times $\rightarrow$} 
		\end{tabular}\\\vspace{10pt}
		Source Data TM(11,10)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of reported scheduled TCs. The maximum value is 9.\\
		& \\
		\textbf{Release Time}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=9 &PFC=2 \end{tabular} & The moment of planned release.\\
		& \\
		\textbf{Request}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=12 &PFC=1 \end{tabular} & The complete request including all its data. The size of this field is $n\cdot 8 \ Bit$. The maximum size of the complete request (including header and checksum) is 232 Byte.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 11,11
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{11,11} & \textbf{Detail-report time-based scheduled activities identified by filter}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC requests a detail report for all addressed TCs in the time-based schedule. The answer for this request is TM(11,10).
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 11 \\
		
		Service Subtype & 11 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.23\textwidth}|p{0.23\textwidth}|p{0.23\textwidth}|}
			\hline
			\multicolumn{3}{|c|}{\cellcolor{TcHeader} Time Window}\\
			\hline
			\rowcolor{TcHeader}
			Type & Time Tag 1 & Time Tag 2\\
			\hline
			\hline
			\rowcolor{TcBody}
			Enum & Absolute Time & Absolute Time \\
			\hline
			\rowcolor{TcBody}
			8 Bit & 64 Bit & 64 Bit\\
			\hline
		\end{tabular}\\\vspace{10pt}
		Application Data TC(11,11)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Type}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The type can have following values:\newline00 - "select all"\newline11 - "from time tag to time tag"\newline01 - "from time tag"\newline10 - "to time tag"\\
		& \\
		\textbf{Time Tag 1}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=9 &PFC=2 \end{tabular} & The first time tag. This is the one from which the selection starts.\\
		& \\
		\textbf{Time Tag 2}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=9 &PFC=2 \end{tabular} & The second time tag. This is the one at which the selection stops.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Remarks:]\hfill\\
	\newline
	If the first time tag is greater than the second time tag the application data field becomes invalid.
	
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 11,12
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{11,12} & \textbf{Summary-report time-based scheduled activities identified by request identifier}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC requests a summary report for all addressed TCs in the time-based schedule. The answer for this request is TM(11,13).
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 11 \\
		
		Service Subtype & 12 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.175\textwidth}|p{0.175\textwidth}|p{0.175\textwidth}|p{0.175\textwidth}|}
			\hline
			\cellcolor{TcHeader} & \multicolumn{3}{c|}{\cellcolor{TcHeader} Request ID}\\
			\hhline{|>{\arrayrulecolor{TcHeader!85}}->{\arrayrulecolor{black}}|---|}
			\rowcolor{TcHeader}
			\multirow{-2}{*}{\cellcolor{TcHeader} N} & Source ID & APID & Sequence Count\\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned\newline Integer & Enum & Enum & Unsigned\newline Integer \\
			\hline
			\rowcolor{TcBody}
			8 Bit & 7 Bit& 11 Bit& 14 Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{3}{|c|}{$\leftarrow$ Repeated N times $\rightarrow$} 
		\end{tabular}\\\vspace{10pt}
		Application Data TC(11,12)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of following requests to report about. The maximum value is 54.\\
		& \\
		\textbf{Request ID}\newline \begin{tabular}{p{1cm}p{1.2cm}p{1cm}} Source:& PTC=2& PFC=7 \\ APID:& PTC=2& PFC=11 \\ Count: &PTC=3 &PFC=10 \end{tabular}  & The identifier of a request to report about. The ID contains the Source ID, the APID and the \textit{Sequence Count} of the request.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TM 11,13
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TM} & \textbf{11,13} & \textbf{Time-based schedule summary report}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TM reports summary data of the requested time-based scheduled activities. The generation of this TM is initiated by receiving TC(11,12), TC(11,14) or TC(11,17).
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 11 \\
		
		Service Subtype & 13 \\
		&\\
		Source Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.14\textwidth}|p{0.14\textwidth}|p{0.14\textwidth}|p{0.14\textwidth}|p{0.14\textwidth}|}
			\hline
			\cellcolor{TmHeader!85} & \cellcolor{TmHeader!85} &\multicolumn{3}{c|}{\cellcolor{TmHeader!85} Request ID}\\
			\hhline{|>{\arrayrulecolor{TmHeader!85}}->{\arrayrulecolor{black}}|>{\arrayrulecolor{TmHeader!85}}->{\arrayrulecolor{black}}|---|}
			\rowcolor{TmHeader!85}
			\multirow{-2}{*}{\cellcolor{TmHeader!85} N} & \multirow{-2}{*}{\cellcolor{TmHeader!85} \parbox{0.1\textwidth}{Release Time}} & Source ID & APID & Sequence Count\\
			\hline
			\hline
			\rowcolor{TmBody}
			Unsigned\newline Integer & Absolute Time & Enum & Enum & Unsigned\newline Integer \\
			\hline
			\rowcolor{TmBody}
			8 Bit & 64 Bit & 7 Bit & 11 Bit & 14 Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{4}{|c|}{$\leftarrow$ Repeated N times $\rightarrow$} 
		\end{tabular}\\\vspace{10pt}
		Source Data TM(11,13)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The number of requests whose data is reported. The maximum value is 18.\\
		& \\
		\textbf{Release Time}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=9 &PFC=2 \end{tabular} & The moment of planned release.\\
		& \\
		\textbf{Request ID}\newline \begin{tabular}{p{1cm}p{1.2cm}p{1cm}} Source:& PTC=2& PFC=7 \\ APID:& PTC=2& PFC=11 \\ Count: &PTC=3 &PFC=10 \end{tabular}  & The identifier of a request to report about. The ID contains the Source ID, the APID and the \textit{Sequence Count} of the request.\\
		
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 11,14
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{11,14} & \textbf{Summary-report time-based scheduled activities identified by filter}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC requests a summary report for all addressed TCs in the time-based schedule. The answer for this request is TM(11,13).
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 11 \\
		
		Service Subtype & 14 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.23\textwidth}|p{0.23\textwidth}|p{0.23\textwidth}|}
			\hline
			\multicolumn{3}{|c|}{\cellcolor{TcHeader} Time Window}\\
			\hline
			\rowcolor{TcHeader}
			Type & Time Tag 1 & Time Tag 2\\
			\hline
			\hline
			\rowcolor{TcBody}
			Enum & Absolute Time & Absolute Time \\
			\hline
			\rowcolor{TcBody}
			8 Bit & 64 Bit & 64 Bit\\
			\hline
		\end{tabular}\\\vspace{10pt}
		Application Data TC(11,14)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Type}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & The type can have following values:\newline00 - "select all"\newline11 - "from time tag to time tag"\newline01 - "from time tag"\newline10 - "to time tag"\\
		& \\
		\textbf{Time Tag 1}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=9 &PFC=2 \end{tabular} & The first time tag. This is the one from which the selection starts.\\
		& \\
		\textbf{Time Tag 2}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=9 &PFC=2 \end{tabular} & The second time tag. This is the one at which the selection stops.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Remarks:]\hfill\\
	\newline
	If the first time tag is greater than the second time tag the application data field becomes invalid.
	
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 11,15
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{11,15} & \textbf{Time-shift all scheduled activities}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC postpones all time-based scheduled activities for the specified time.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 11 \\
		
		Service Subtype & 15 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|c|}
			\hline
			\rowcolor{TcHeader}
			Time Offset\\
			\hline
			\hline
			\rowcolor{TcBody}
			Relative Time\\
			\hline
			\rowcolor{TcBody}
			64 Bit\\
			\hline
		\end{tabular}\\\vspace{10pt}
		Application Data TC(11,15)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Time Offset}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=10 &PFC=2 \end{tabular} & The time to postpone.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Remarks:]\hfill\\
	\newline
	If the time obtained by adding the release time of earliest scheduled activity and the time offset is earlier than the time obtained by adding the current time and the time margin the application data field becomes invalid.
	
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 11,16
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{11,16} & \textbf{Detail-report all time-based scheduled activities}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC requests a detail report of all time-based scheduled activities. The answer on this request is TM(11,10). If more than 9 activities are scheduled more than one report will be generated as answer.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 11 \\
		
		Service Subtype & 16 \\
		&\\
		Application Data & The application data field shall be omitted.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Parameter Definitions:]\hfill\\
	\newline
	This TC does not include any parameters.
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 11,17
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{11,17} & \textbf{Summary-report all time-based scheduled\newline activities}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC requests a summary report of all time-based scheduled activities. The answer on this request is TM(11,13). If more than 18 activities are scheduled more than one report will be generated as answer.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 11 \\
		
		Service Subtype & 17 \\
		&\\
		Application Data & The application data field shall be omitted.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Parameter Definitions:]\hfill\\
	\newline
	This TC does not include any parameters.
\end{description}

\vfill
